searchNodes=[{"doc":"Elixir high level library for the Ethereum blockchain. This library is based on the methods of the Json RPC API (https://eth.wiki/json-rpc/api).All functions returns {:error, :econnrefused} if no client is listening in the configured URL.You can directly use Elixir integers for quantities or atoms for tags. The library encode/decode Elixir primitive data to/from the blockchain.Compiled code and contract instances are abstracted. The library can compile code and generate a value of type t:compiled_code/0 and that representation can be used to deploy the contact and get a value of contract/0 that can be used in call/5 and call_transaction/5.Some operations allow options. Options are Keyword.t/0 that accepts optional data accepted by the API (see https://eth.wiki/json-rpc/api for details when no details are given in this documentation).The result of some operations are maps with a direct representation of the returns of the operations in the API (see https://eth.wiki/json-rpc/api for details when no details are given in this documentation).","ref":"Etherex.html","title":"Etherex","type":"module"},{"doc":"Returns a list of addresses owned by client.","ref":"Etherex.html#accounts/0","title":"Etherex.accounts/0","type":"function"},{"doc":"Works like accounts/0 but a exception is raised on error.","ref":"Etherex.html#accounts!/0","title":"Etherex.accounts!/0","type":"function"},{"doc":"Returns the number of most recent block.","ref":"Etherex.html#block_number/0","title":"Etherex.block_number/0","type":"function"},{"doc":"Works like block_number/0 but a exception is raised on error.","ref":"Etherex.html#block_number!/0","title":"Etherex.block_number!/0","type":"function"},{"doc":"Performs a call to a function of a deployed contract. This call does not generate a transaction in the blockchain.Examplesiex&gt; owner = List.last(Etherex.accounts!()) iex&gt; {:ok, [value]} = Etherex.compile_solidity!(&quot;priv/solidity/Counter.sol&quot;) ...&gt; |&gt; Etherex.deploy!(owner, [], gas: 1_000_000) ...&gt; |&gt; Etherex.call(owner, &quot;get&quot;, []) iex&gt; value 0","ref":"Etherex.html#call/6","title":"Etherex.call/6","type":"function"},{"doc":"Works like call/6 but a exception is raised on error.","ref":"Etherex.html#call!/6","title":"Etherex.call!/6","type":"function"},{"doc":"Performs a call to a function of a deployed contract, This call generates a transaction in the blockchain.Examplesiex&gt; owner = List.last(Etherex.accounts!()) iex&gt; {:ok, &quot;0x&quot; &lt;&gt; _} = Etherex.compile_solidity!(&quot;priv/solidity/Counter.sol&quot;) ...&gt; |&gt; Etherex.deploy!(owner, [], gas: 1_000_000) ...&gt; |&gt; Etherex.call_transaction(owner, &quot;get&quot;, [])","ref":"Etherex.html#call_transaction/5","title":"Etherex.call_transaction/5","type":"function"},{"doc":"Works like call_transaction/5 but a exception is raised on error.","ref":"Etherex.html#call_transaction!/5","title":"Etherex.call_transaction!/5","type":"function"},{"doc":"Returns the current client version.","ref":"Etherex.html#client_version/0","title":"Etherex.client_version/0","type":"function"},{"doc":"Works like client_version/0 but a exception is raised on error.","ref":"Etherex.html#client_version!/0","title":"Etherex.client_version!/0","type":"function"},{"doc":"Returns the byte code after compiling Solidity source code. Parameter source_or_filename can be the source code or a filename with the source code.If source code is passed, the function tries to send the code to the client to get the compiled contract.If a filename is passed, a local compiler is used to compile the code. If no local compiler can be used or compilation fails then the source code in file is sent to the client.","ref":"Etherex.html#compile_solidity/1","title":"Etherex.compile_solidity/1","type":"function"},{"doc":"Works like compile_solidity/1 but a exception is raised on error.","ref":"Etherex.html#compile_solidity!/1","title":"Etherex.compile_solidity!/1","type":"function"},{"doc":"Deploys a contract to the blockchain.Examplesiex&gt; owner = List.last(Etherex.accounts!()) iex&gt; {:ok, _contract} = Etherex.compile_solidity!(&quot;priv/solidity/Counter.sol&quot;) ...&gt; |&gt; Etherex.deploy(owner, [], gas: 1_000_000)","ref":"Etherex.html#deploy/4","title":"Etherex.deploy/4","type":"function"},{"doc":"Works like deploy/4 but a exception is raised on error.","ref":"Etherex.html#deploy!/4","title":"Etherex.deploy!/4","type":"function"},{"doc":"Generates and returns an estimate of how much gas is necessary to allow the transaction to complete. The transaction will not be added to the blockchain. Note that the estimate may be significantly more than the amount of gas actually used by the transaction, for a variety of reasons including EVM mechanics and node performance.Examplesiex&gt; owner = List.last(Etherex.accounts!()) iex&gt; {:ok, estimated_gas} = Etherex.compile_solidity!(&quot;priv/solidity/Counter.sol&quot;) ...&gt; |&gt; Etherex.deploy!(owner, [], gas: 1_000_000) ...&gt; |&gt; Etherex.estimate_gas(owner, &quot;get&quot;, []) iex&gt; is_integer(estimated_gas) true","ref":"Etherex.html#estimate_gas/5","title":"Etherex.estimate_gas/5","type":"function"},{"doc":"Works like estimate_gas/5 but a exception is raised on error.","ref":"Etherex.html#estimate_gas!/5","title":"Etherex.estimate_gas!/5","type":"function"},{"doc":"Generates and returns an estimate the gas cost of a transaction. It uses estimate_gas/5 and gas_price/0.Examplesiex&gt; owner = List.last(Etherex.accounts!()) iex&gt; {:ok, gas_cost} = Etherex.compile_solidity!(&quot;priv/solidity/Counter.sol&quot;) ...&gt; |&gt; Etherex.deploy!(owner, [], gas: 1_000_000) ...&gt; |&gt; Etherex.estimate_gas_cost(owner, &quot;get&quot;, []) iex&gt; is_integer(gas_cost) true","ref":"Etherex.html#estimate_gas_cost/5","title":"Etherex.estimate_gas_cost/5","type":"function"},{"doc":"Works like estimate_gas_cost/5 but a exception is raised on error.","ref":"Etherex.html#estimate_gas_cost!/5","title":"Etherex.estimate_gas_cost!/5","type":"function"},{"doc":"Returns the gas cost of a transaction. If the transaction hasn't been processed yet (is pending), {:ok, nil} is returned.","ref":"Etherex.html#gas_cost/1","title":"Etherex.gas_cost/1","type":"function"},{"doc":"Works like gas_cost/1 but a exception is raised on error.","ref":"Etherex.html#gas_cost!/1","title":"Etherex.gas_cost!/1","type":"function"},{"doc":"Returns the current price per gas in wei.","ref":"Etherex.html#gas_price/0","title":"Etherex.gas_price/0","type":"function"},{"doc":"Works like gas_price/0 but a exception is raised on error.","ref":"Etherex.html#gas_price!/0","title":"Etherex.gas_price!/0","type":"function"},{"doc":"Returns the balance of the account of given address.","ref":"Etherex.html#get_balance/2","title":"Etherex.get_balance/2","type":"function"},{"doc":"Works like get_balance/2 but a exception is raised on error.","ref":"Etherex.html#get_balance!/2","title":"Etherex.get_balance!/2","type":"function"},{"doc":"Returns information about a block by block number or by block hash.","ref":"Etherex.html#get_block/1","title":"Etherex.get_block/1","type":"function"},{"doc":"Works like get_block/1 but a exception is raised on error.","ref":"Etherex.html#get_block!/1","title":"Etherex.get_block!/1","type":"function"},{"doc":"Returns the deployed bytecode of a contract.","ref":"Etherex.html#get_bytecode/1","title":"Etherex.get_bytecode/1","type":"function"},{"doc":"Returns the address of a contract. If the creation transaction has not been mined yet, nil is returned.","ref":"Etherex.html#get_contract_address/1","title":"Etherex.get_contract_address/1","type":"function"},{"doc":"Works like get_contract_creation_address/1 but a exception is raised on error.","ref":"Etherex.html#get_contract_address!/1","title":"Etherex.get_contract_address!/1","type":"function"},{"doc":"Returns the hash of the creation transaction of a contract.","ref":"Etherex.html#get_contract_creation_hash/1","title":"Etherex.get_contract_creation_hash/1","type":"function"},{"doc":"Returns the contract creator address.","ref":"Etherex.html#get_creator/1","title":"Etherex.get_creator/1","type":"function"},{"doc":"Given a contract and a transaction of the contract, retrieves the list of events logged in it. Returns [] if no events. Returns nil if transaction is pending.","ref":"Etherex.html#get_events/2","title":"Etherex.get_events/2","type":"function"},{"doc":"Works like get_events/2 but a exception is raised on error.","ref":"Etherex.html#get_events!/2","title":"Etherex.get_events!/2","type":"function"},{"doc":"Returns the information about a transaction requested by transaction hash.","ref":"Etherex.html#get_transaction/1","title":"Etherex.get_transaction/1","type":"function"},{"doc":"Works like get_transaction/1 but a exception is raised on error.","ref":"Etherex.html#get_transaction!/1","title":"Etherex.get_transaction!/1","type":"function"},{"doc":"Returns the receipt of a transaction by transaction hash. The receipt is not available for pending transactions and {:ok, nil} is returned.","ref":"Etherex.html#get_transaction_receipt/1","title":"Etherex.get_transaction_receipt/1","type":"function"},{"doc":"Works like get_transaction_receipt/1 but a exception is raised on error.","ref":"Etherex.html#get_transaction_receipt!/1","title":"Etherex.get_transaction_receipt!/1","type":"function"},{"doc":"Returns true if client is actively listening for network connections, false otherwise.","ref":"Etherex.html#net_listening/0","title":"Etherex.net_listening/0","type":"function"},{"doc":"Works like net_listening/0 but a exception is raised on error.","ref":"Etherex.html#net_listening!/0","title":"Etherex.net_listening!/0","type":"function"},{"doc":"Returns the current network id.","ref":"Etherex.html#net_version/0","title":"Etherex.net_version/0","type":"function"},{"doc":"Works like net_version/0 but a exception is raised on error.","ref":"Etherex.html#net_version!/0","title":"Etherex.net_version!/0","type":"function"},{"doc":"Returns the current ethereum protocol version.","ref":"Etherex.html#protocol_version/0","title":"Etherex.protocol_version/0","type":"function"},{"doc":"Works like protocol_version/0 but a exception is raised on error.","ref":"Etherex.html#protocol_version!/0","title":"Etherex.protocol_version!/0","type":"function"},{"doc":"Returns syncing status.","ref":"Etherex.html#syncing/0","title":"Etherex.syncing/0","type":"function"},{"doc":"Works like syncing/0 but a exception is raised on error.","ref":"Etherex.html#syncing!/0","title":"Etherex.syncing!/0","type":"function"},{"doc":"Transfer funds.","ref":"Etherex.html#transfer/4","title":"Etherex.transfer/4","type":"function"},{"doc":"Decimal representation of a value given an Ether unit.Examplesiex&gt; Etherex.wei_to_decimal(0) Decimal.new(&quot;0.0&quot;) iex&gt; Etherex.wei_to_decimal(0, :WEI) Decimal.new(&quot;0.0&quot;) iex&gt; Etherex.wei_to_decimal(0, :ETH) Decimal.new(&quot;0.0&quot;) iex&gt; Etherex.wei_to_decimal(20000000000) Decimal.new(&quot;2E+10&quot;) iex&gt; Etherex.wei_to_decimal(20000000000, :WEI) Decimal.new(&quot;2E+10&quot;) iex&gt; Etherex.wei_to_decimal(20000000000, :GWEI) Decimal.new(&quot;20.0&quot;) iex&gt; Etherex.wei_to_decimal(20000000000, :PWEI) Decimal.new(&quot;0.00002&quot;) iex&gt; Etherex.wei_to_decimal(20000000000, :ETH) Decimal.new(&quot;2E-8&quot;)","ref":"Etherex.html#wei_to_decimal/2","title":"Etherex.wei_to_decimal/2","type":"function"},{"doc":"String representation of a value given an Ether unit.Examplesiex&gt; Etherex.wei_to_string(0) &quot;0 WEI&quot; iex&gt; Etherex.wei_to_string(0, :WEI) &quot;0 WEI&quot; iex&gt; Etherex.wei_to_string(0, :GWEI) &quot;0.000000000 GWEI&quot; iex&gt; Etherex.wei_to_string(0, :PWEI) &quot;0.000000000000000 PWEI&quot; iex&gt; Etherex.wei_to_string(0, :ETH) &quot;0.000000000000000000 ETH&quot; iex&gt; Etherex.wei_to_string(20000000000) &quot;20,000,000,000 WEI&quot; iex&gt; Etherex.wei_to_string(20000000000, :WEI) &quot;20,000,000,000 WEI&quot; iex&gt; Etherex.wei_to_string(20000000000, :GWEI) &quot;20.000000000 GWEI&quot; iex&gt; Etherex.wei_to_string(20000000000, :PWEI) &quot;0.000020000000000 PWEI&quot; iex&gt; Etherex.wei_to_string(20000000000, :ETH) &quot;0.000000020000000000 ETH&quot;","ref":"Etherex.html#wei_to_string/2","title":"Etherex.wei_to_string/2","type":"function"},{"doc":"","ref":"Etherex.html#t:address/0","title":"Etherex.address/0","type":"type"},{"doc":"","ref":"Etherex.html#t:block_parameter/0","title":"Etherex.block_parameter/0","type":"type"},{"doc":"","ref":"Etherex.html#t:bytecode/0","title":"Etherex.bytecode/0","type":"opaque"},{"doc":"","ref":"Etherex.html#t:contract/0","title":"Etherex.contract/0","type":"opaque"},{"doc":"","ref":"Etherex.html#t:error/0","title":"Etherex.error/0","type":"type"},{"doc":"","ref":"Etherex.html#t:event/0","title":"Etherex.event/0","type":"type"},{"doc":"","ref":"Etherex.html#t:hash/0","title":"Etherex.hash/0","type":"type"},{"doc":"","ref":"Etherex.html#t:hex/0","title":"Etherex.hex/0","type":"type"},{"doc":"","ref":"Etherex.html#t:opts/0","title":"Etherex.opts/0","type":"type"},{"doc":"","ref":"Etherex.html#t:quantity/0","title":"Etherex.quantity/0","type":"type"},{"doc":"","ref":"Etherex.html#t:tag/0","title":"Etherex.tag/0","type":"type"},{"doc":"","ref":"Etherex.html#t:unit/0","title":"Etherex.unit/0","type":"type"},{"doc":"Module to start/stop an Ethereum client by using ethnode.Start it with start/0, stop it with stop/0 and get the logs with log/0.","ref":"Etherex.Client.EthnodeGeth.html","title":"Etherex.Client.EthnodeGeth","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etherex.Client.EthnodeGeth.html#child_spec/1","title":"Etherex.Client.EthnodeGeth.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etherex.Client.EthnodeGeth.html#init/1","title":"Etherex.Client.EthnodeGeth.init/1","type":"function"},{"doc":"Returns the list of log lines from the standard output and standard error of the Ethereum client. Resets the log.","ref":"Etherex.Client.EthnodeGeth.html#log/0","title":"Etherex.Client.EthnodeGeth.log/0","type":"function"},{"doc":"Starts an ethereum client using command ethnode.","ref":"Etherex.Client.EthnodeGeth.html#start/0","title":"Etherex.Client.EthnodeGeth.start/0","type":"function"},{"doc":"Stops the ethereum client previously started with command ethnode. Returns the list of log lines from the standard output and standard error since last reset.","ref":"Etherex.Client.EthnodeGeth.html#stop/0","title":"Etherex.Client.EthnodeGeth.stop/0","type":"function"},{"doc":"Module to start/stop an Ethereum client by using ethnode.Start it with start/0, stop it with stop/0 and get the logs with log/0.","ref":"Etherex.Client.EthnodeOpenethereum.html","title":"Etherex.Client.EthnodeOpenethereum","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etherex.Client.EthnodeOpenethereum.html#child_spec/1","title":"Etherex.Client.EthnodeOpenethereum.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etherex.Client.EthnodeOpenethereum.html#init/1","title":"Etherex.Client.EthnodeOpenethereum.init/1","type":"function"},{"doc":"Returns the list of log lines from the standard output and standard error of the Ethereum client. Resets the log.","ref":"Etherex.Client.EthnodeOpenethereum.html#log/0","title":"Etherex.Client.EthnodeOpenethereum.log/0","type":"function"},{"doc":"Starts an ethereum client using command ethnode.","ref":"Etherex.Client.EthnodeOpenethereum.html#start/0","title":"Etherex.Client.EthnodeOpenethereum.start/0","type":"function"},{"doc":"Stops the ethereum client previously started with command ethnode. Returns the list of log lines from the standard output and standard error since last reset.","ref":"Etherex.Client.EthnodeOpenethereum.html#stop/0","title":"Etherex.Client.EthnodeOpenethereum.stop/0","type":"function"},{"doc":"Module to start/stop an Ethereum client by using ganache-cli.Start it with start/0, stop it with stop/0 and get the logs with log/0.","ref":"Etherex.Client.GanacheCLI.html","title":"Etherex.Client.GanacheCLI","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etherex.Client.GanacheCLI.html#child_spec/1","title":"Etherex.Client.GanacheCLI.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etherex.Client.GanacheCLI.html#init/1","title":"Etherex.Client.GanacheCLI.init/1","type":"function"},{"doc":"Returns the list of log lines from the standard output and standard error of the Ethereum client. Resets the log.","ref":"Etherex.Client.GanacheCLI.html#log/0","title":"Etherex.Client.GanacheCLI.log/0","type":"function"},{"doc":"Starts an ethereum client using command ganache-cli.","ref":"Etherex.Client.GanacheCLI.html#start/0","title":"Etherex.Client.GanacheCLI.start/0","type":"function"},{"doc":"Stops the ethereum client previously started with command ganache-cli. Returns the list of log lines from the standard output and standard error since last reset.","ref":"Etherex.Client.GanacheCLI.html#stop/0","title":"Etherex.Client.GanacheCLI.stop/0","type":"function"},{"doc":"Module to start/stop an Ethereum client by using geth.Start it with start/0, stop it with stop/0 and get the logs with log/0.","ref":"Etherex.Client.Geth.html","title":"Etherex.Client.Geth","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etherex.Client.Geth.html#child_spec/1","title":"Etherex.Client.Geth.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etherex.Client.Geth.html#init/1","title":"Etherex.Client.Geth.init/1","type":"function"},{"doc":"Returns the list of log lines from the standard output and standard error of the Ethereum client. Resets the log.","ref":"Etherex.Client.Geth.html#log/0","title":"Etherex.Client.Geth.log/0","type":"function"},{"doc":"Starts an ethereum client using command geth.","ref":"Etherex.Client.Geth.html#start/0","title":"Etherex.Client.Geth.start/0","type":"function"},{"doc":"Stops the ethereum client previously started with command geth. Returns the list of log lines from the standard output and standard error since last reset.","ref":"Etherex.Client.Geth.html#stop/0","title":"Etherex.Client.Geth.stop/0","type":"function"},{"doc":"Module to start/stop an Ethereum client by using openethereum.Start it with start/0, stop it with stop/0 and get the logs with log/0.","ref":"Etherex.Client.Openethereum.html","title":"Etherex.Client.Openethereum","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etherex.Client.Openethereum.html#child_spec/1","title":"Etherex.Client.Openethereum.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etherex.Client.Openethereum.html#init/1","title":"Etherex.Client.Openethereum.init/1","type":"function"},{"doc":"Returns the list of log lines from the standard output and standard error of the Ethereum client. Resets the log.","ref":"Etherex.Client.Openethereum.html#log/0","title":"Etherex.Client.Openethereum.log/0","type":"function"},{"doc":"Starts an ethereum client using command openethereum.","ref":"Etherex.Client.Openethereum.html#start/0","title":"Etherex.Client.Openethereum.start/0","type":"function"},{"doc":"Stops the ethereum client previously started with command openethereum. Returns the list of log lines from the standard output and standard error since last reset.","ref":"Etherex.Client.Openethereum.html#stop/0","title":"Etherex.Client.Openethereum.stop/0","type":"function"},{"doc":"Types and functions related to bytecode and contracts.","ref":"Etherex.Contract.html","title":"Etherex.Contract","type":"module"},{"doc":"See Etherex.call/5","ref":"Etherex.Contract.html#call/6","title":"Etherex.Contract.call/6","type":"function"},{"doc":"Seel Etherex.call_transaction/4.","ref":"Etherex.Contract.html#call_transaction/5","title":"Etherex.Contract.call_transaction/5","type":"function"},{"doc":"See Etherex.compile_solidity/1.","ref":"Etherex.Contract.html#compile_solidity/1","title":"Etherex.Contract.compile_solidity/1","type":"function"},{"doc":"See Etherex.deploy/3.","ref":"Etherex.Contract.html#deploy/4","title":"Etherex.Contract.deploy/4","type":"function"},{"doc":"See Etherex.estimate_gas/4.","ref":"Etherex.Contract.html#estimate_gas/5","title":"Etherex.Contract.estimate_gas/5","type":"function"},{"doc":"Given a contract, returns its address if the creation transaction has already been mined.","ref":"Etherex.Contract.html#get_address/1","title":"Etherex.Contract.get_address/1","type":"function"},{"doc":"Given a contract, returns its deployed bytecode.","ref":"Etherex.Contract.html#get_bytecode/1","title":"Etherex.Contract.get_bytecode/1","type":"function"},{"doc":"","ref":"Etherex.Contract.html#get_constructor_spec/1","title":"Etherex.Contract.get_constructor_spec/1","type":"function"},{"doc":"","ref":"Etherex.Contract.html#get_contract_address/1","title":"Etherex.Contract.get_contract_address/1","type":"function"},{"doc":"Given a contract, returns the contract creation transaction hash.","ref":"Etherex.Contract.html#get_creation_hash/1","title":"Etherex.Contract.get_creation_hash/1","type":"function"},{"doc":"Given a contract, returns its creator address.","ref":"Etherex.Contract.html#get_creator/1","title":"Etherex.Contract.get_creator/1","type":"function"},{"doc":"","ref":"Etherex.Contract.html#get_event_specs/1","title":"Etherex.Contract.get_event_specs/1","type":"function"},{"doc":"See Etherex.get_events/2.","ref":"Etherex.Contract.html#get_events/2","title":"Etherex.Contract.get_events/2","type":"function"},{"doc":"","ref":"Etherex.Contract.html#get_function_spec/2","title":"Etherex.Contract.get_function_spec/2","type":"function"},{"doc":"Bytecode and specification of a contract.","ref":"Etherex.Contract.html#t:bytecode/0","title":"Etherex.Contract.bytecode/0","type":"type"},{"doc":"Data of the instance of a contract deployed in a blockchain.","ref":"Etherex.Contract.html#t:contract/0","title":"Etherex.Contract.contract/0","type":"opaque"},{"doc":"Some Ethereum clients support jumping through time simulating time events like advance the time and the blocks or set and revert to a snapshot.Ganache-cli, for example, support the following non-standard JSON RPC methods:evm_snapshot : Snapshot the state of the blockchain at the current block. Takes no parameters. Returns the integer id of the snapshot created. A snapshot can only be used (reverted) once.evm_revert : Revert the state of the blockchain to a previous snapshot. Takes a single parameter, which is the snapshot id to revert to. This deletes the given snapshot, as well as any snapshots taken after.evm_increaseTime : Jump forward in time. Takes one parameter, which is the amount of time to increase in seconds. Returns the total time adjustment, in seconds.evm_mine : Force a block to be mined. Takes one optional parameter, which is the timestamp a block should setup as the mining time. Mines a block independent of whether or not mining is started or stopped.","ref":"Etherex.Time.html","title":"Etherex.Time","type":"module"},{"doc":"Forces a block to be mined. Takes one optional parameter, which is the timestamp a block should setup as the mining time. Returns the block mined.","ref":"Etherex.Time.html#mine/1","title":"Etherex.Time.mine/1","type":"function"},{"doc":"Enables automatic mining.","ref":"Etherex.Time.html#miner_start/0","title":"Etherex.Time.miner_start/0","type":"function"},{"doc":"Disables automatic mining.","ref":"Etherex.Time.html#miner_stop/0","title":"Etherex.Time.miner_stop/0","type":"function"},{"doc":"","ref":"Etherex.Time.html#revert/1","title":"Etherex.Time.revert/1","type":"function"},{"doc":"","ref":"Etherex.Time.html#snapshot/0","title":"Etherex.Time.snapshot/0","type":"function"},{"doc":"Basic types in Ethereum.","ref":"Etherex.Type.html","title":"Etherex.Type","type":"module"},{"doc":"20 bytes account addresses in hex representation (starting with &quot;0x&quot;)","ref":"Etherex.Type.html#t:address/0","title":"Etherex.Type.address/0","type":"type"},{"doc":"Block parameters are block numbers or a tag.","ref":"Etherex.Type.html#t:block_parameter/0","title":"Etherex.Type.block_parameter/0","type":"type"},{"doc":"Call error contains the hash of the transaction, the error type (for example revert) and the reason.","ref":"Etherex.Type.html#t:call_error/0","title":"Etherex.Type.call_error/0","type":"type"},{"doc":"Errors: :econnrefused when no client is listening, otherwise, when the client encounters an error a short description of the error","ref":"Etherex.Type.html#t:error/0","title":"Etherex.Type.error/0","type":"type"},{"doc":"Events emitted in a new message call transcation.","ref":"Etherex.Type.html#t:event/0","title":"Etherex.Type.event/0","type":"type"},{"doc":"32 bytes hashes in hex representation (starting with &quot;0x&quot;)","ref":"Etherex.Type.html#t:hash/0","title":"Etherex.Type.hash/0","type":"type"},{"doc":"Numbers, byte arrays, account addresses, hashes, and bytecode arrays encoded as hex, prefix with “0x”, two hex digits per byte.","ref":"Etherex.Type.html#t:hex/0","title":"Etherex.Type.hex/0","type":"type"},{"doc":"Options that can be used in some Etherex function calls.","ref":"Etherex.Type.html#t:opts/0","title":"Etherex.Type.opts/0","type":"type"},{"doc":"Quantities as non negative integers (used in values, block height, counts, etc.)","ref":"Etherex.Type.html#t:quantity/0","title":"Etherex.Type.quantity/0","type":"type"},{"doc":"Tags to represent the default block in some methods.","ref":"Etherex.Type.html#t:tag/0","title":"Etherex.Type.tag/0","type":"type"},{"doc":"Ether units","ref":"Etherex.Type.html#t:unit/0","title":"Etherex.Type.unit/0","type":"type"}]